"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.decode_object = exports.encode_object = void 0;
const urlencode_1 = __importDefault(require("urlencode"));
function encode_object(object) {
    if (object === undefined)
        return undefined;
    if (object.startsWith('http://') || object.startsWith('https://')) {
        return (0, urlencode_1.default)(object);
    }
    else {
        const seperator = object.indexOf(':');
        if (seperator === -1)
            return (0, urlencode_1.default)(object);
        const prefix = object.slice(0, seperator);
        const suffix = object.slice(seperator + 1);
        return prefix + ':' + (0, urlencode_1.default)(suffix);
    }
}
exports.encode_object = encode_object;
function decode_object(object) {
    if (object === undefined)
        return undefined;
    return urlencode_1.default.decode(object);
}
exports.decode_object = decode_object;
//# sourceMappingURL=encoding.js.map